Name:		devilspie2
Version:	0.43
Release:	%mkrel 7
Summary:	Windows matching utility
License:	GPLv3+
Group:		Graphical desktop/Other
Url:		https://www.nongnu.org/devilspie2/
Source0:	https://download.savannah.gnu.org/releases/devilspie2/devilspie2_%{version}-src.tar.gz
Patch1:		devilspie2_0.40-man-page.patch
Patch2:		lua_ql-deprecated.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(lua)

%description
Devilspie2 is a window matching utility, allowing the user to perform
scripted actions on windows as they are created. For example you can
script a terminal program to always be positioned at a specific screen
position, or position a window on a specific workspace.

Devilspie2 is based on the program Devilspie by Ross Burton. The
difference is that Devilspie2 has replaced the symbolic expressions
of the original with a LUA interpreter, making it much easier to maintain
and extend.

Please note that the rules of Devilspie2 is not compatible with the symbolic
expressions of the original Devilspie.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

%install
%make_install \
	PREFIX=%{_prefix}

# man-page
install -Dpm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%license COPYING GPL3.txt
%doc README ChangeLog AUTHORS TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.43-7.mga10
+ Revision: 2214455
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.43-6.mga9
+ Revision: 1836242
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 0.43-5.mga9
+ Revision: 1712802
- rebuild for lua 5.4

* Sun Mar 28 2021 wally <wally> 0.43-4.mga9
+ Revision: 1711336
- build with latest lua

* Thu Feb 13 2020 umeabot <umeabot> 0.43-3.mga8
+ Revision: 1511828
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.43-2.mga7
+ Revision: 1297431
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 wally <wally> 0.43-1.mga7
+ Revision: 1169220
- new version 0.43
- update url

* Sun May 01 2016 wally <wally> 0.41-1.mga6
+ Revision: 1008453
- new version 0.41

* Sat Apr 02 2016 wally <wally> 0.40-1.mga6
+ Revision: 997619
- new version 0.40
- rediff man page patch

* Sun Feb 14 2016 umeabot <umeabot> 0.39-2.mga6
+ Revision: 959841
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 0.39-1.mga6
+ Revision: 837794
- new version 0.39

* Wed Oct 15 2014 umeabot <umeabot> 0.37-3.mga5
+ Revision: 739944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.37-2.mga5
+ Revision: 678725
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 wally <wally> 0.37-1.mga5
+ Revision: 666596
- new version 0.37

* Thu May 22 2014 wally <wally> 0.36-1.mga5
+ Revision: 624978
- new version 0.36

* Tue May 20 2014 wally <wally> 0.35-1.mga5
+ Revision: 624482
- new version 0.35

* Fri Apr 25 2014 wally <wally> 0.33-1.mga5
+ Revision: 617906
- new version 0.33

* Fri Feb 21 2014 wally <wally> 0.32-1.mga5
+ Revision: 595375
- new version 0.32

* Sat Oct 19 2013 umeabot <umeabot> 0.31-2.mga4
+ Revision: 533459
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 wally <wally> 0.31-1.mga4
+ Revision: 473480
- new version 0.31

* Sun Jul 21 2013 wally <wally> 0.30-1.mga4
+ Revision: 456789
- new version 0.30

* Sat May 25 2013 wally <wally> 0.29-1.mga4
+ Revision: 427409
- new version 0.29

* Thu May 23 2013 wally <wally> 0.28-1.mga4
+ Revision: 424970
- new version 0.28

* Fri Jan 11 2013 umeabot <umeabot> 0.27-2.mga3
+ Revision: 348740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 wally <wally> 0.27-1.mga3
+ Revision: 332126
- new version 0.27
- drop unneeded lua5.1 patch

* Tue Nov 27 2012 wally <wally> 0.26-1.mga3
+ Revision: 322402
- imported package devilspie2

